# eoVlAddMutation< EOT > Class Template Reference

Addition of a gene Is inserted at a random position - so can be applied to both order-dependent and order-independent. More...

`#include <eoVariableLengthMutation.h>`

Inheritance diagram for eoVlAddMutation< EOT >:

List of all members.

## Public Types

typedef EOT::AtomType | AtomType

## Public Member Functions

| eoVlAddMutation (unsigned _nMax, eoInit< AtomType > &_atomInit)
| default ctor
bool | operator() (EOT &_eo)
| operator: actually adds an Atom
virtual std::string | className () const
| inherited className

## Private Attributes

unsigned | nMax
eoInit< AtomType > & | atomInit

## Detailed Description

### template<class EOT>
class eoVlAddMutation< EOT >

Addition of a gene Is inserted at a random position - so can be applied to both order-dependent and order-independent.

Definition at line 48 of file eoVariableLengthMutation.h.

## Constructor & Destructor Documentation

template<class EOT>
eoVlAddMutation< EOT >::eoVlAddMutation | ( | unsigned | _nMax,
|  | eoInit< AtomType > & | _atomInit
| ) | `[inline]`

default ctor

Parameters:

  | nMax | max number of atoms
  | _atomInit | an Atom initializer

Definition at line 59 of file eoVariableLengthMutation.h.

The documentation for this class was generated from the following file:

- eoVariableLengthMutation.h